from pepperbot.core.message.chain import MessageChain, Image, Text
from paddleocr import PaddleOCR
import os


class RIICReportAnalysis:
    async def group_message(self, chain: MessageChain):
        if len(chain) != 1 or len(chain.images) != 1:
            return
        img_seg: Image = chain[0]
        img_path = await img_seg.download()
        print(f"Image saved to {img_path}")

        ocr = PaddleOCR(use_angle_cls=False, lang="ch", use_gpu=False)
        ocr_text = ocr.ocr(img_path, det=False)
        print(ocr_text)

        os.remove(img_path)
        print(f"file removed.")
